package com.ruoyi.dz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学生班级对象 dz_classes
 *
 * @author ruoyi
 * @date 2025-09-29
 */
public class DzClasses extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long classId;
    private Long[] classIds;
    private Long teacherId;

    @Excel(name = "机构")
    private Long deptId;
    /** 学校 */
    @Excel(name = "学校")
    private Long schoolId;

    @Excel(name = "兼容学校")
    private Long campusId;

    private DzSchool school;

    /** 开班年份 */
    @Excel(name = "开班年份")
    private Long year;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 是否线上 */
    @Excel(name = "是否线上")
    private Integer online;
    //默认班级
    private Integer isDefault;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 统计数据 */
    @Excel(name = "统计数据")
    private String stats;

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    public Long[] getClassIds() {
        return classIds;
    }

    public void setClassIds(Long[] classIds) {
        this.classIds = classIds;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public DzSchool getSchool() {
        return school;
    }

    public void setSchool(DzSchool school) {
        this.school = school;
    }

    public void setClassId(Long classId)
    {
        this.classId = classId;
    }

    public Long getClassId()
    {
        return classId;
    }

    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return null != schoolId ? schoolId : campusId;
    }

    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }

    public void setOnline(Integer online)
    {
        this.online = online;
    }

    public Integer getOnline()
    {
        return online;
    }

    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public void setStats(String stats)
    {
        this.stats = stats;
    }

    public String getStats()
    {
        return stats;
    }

    public Long getCampusId() {
        return campusId;
    }

    public void setCampusId(Long campusId) {
        this.campusId = campusId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("classId", getClassId())
            .append("schoolId", getSchoolId())
            .append("year", getYear())
            .append("name", getName())
            .append("online", getOnline())
            .append("status", getStatus())
            .append("stats", getStats())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
